package org.springblade.modules.dateConf.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseServiceImpl;
import org.springblade.modules.dateConf.entity.DateConfEntity;
import org.springblade.modules.dateConf.excel.DateConfExcel;
import org.springblade.modules.dateConf.mapper.DateConfMapper;
import org.springblade.modules.dateConf.service.IDateConfService;
import org.springblade.modules.dateConf.vo.DateConfVO;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * DateConf 服务实现类
 *
 * @author BladeX
 * @since 2023-10-08
 */
@Service
public class DateConfServiceImpl extends BaseServiceImpl<DateConfMapper, DateConfEntity> implements IDateConfService {

	@Override
	public IPage<DateConfVO> selectDateConfPage(IPage<DateConfVO> page, Map<String, Object> params) {
		return page.setRecords(baseMapper.selectDateConfPage(page, params));
	}

	@Override
	public List<DateConfExcel> exportDateConf(Map<String, Object> params) {
		List<DateConfExcel> dateConfList = baseMapper.exportDateConf(params);
		return dateConfList;
	}

	@Override
	public int isExist(String rq) {
		return baseMapper.isExist(rq);
	}

	@Override
	public void updateByRq(DateConfExcel dateConfExcel) {
		baseMapper.updateByRq(dateConfExcel);
	}
}
